#
# spec file for package npth
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           npth
%define lname	libnpth0
Version:        1.2
Release:        4.3
Summary:        New GNU Portable Threads library
License:        LGPL-3.0+ or GPL-2.0+
Group:          Development/Libraries/C and C++
Url:            http://gnupg.org/

#DL-URL:        ftp://ftp.gnupg.org/gcrypt/npth/
#Git-Clone:	git://git.gnupg.org/npth
Source:         ftp://ftp.gnupg.org/gcrypt/npth/%name-%version.tar.bz2
Source2:        ftp://ftp.gnupg.org/gcrypt/npth/%name-%version.tar.bz2.sig
Source4:        %name.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
nPth is a non-preemptive threads implementation using an API very
similar to the one known from GNU Pth. In contrast to Pth, nPth is
based on the system's standard threads implementation. Thus, nPth
allows the use of libraries which are not compatible to GNU Pth.

%package -n %lname
Summary:        New GNU Portable Threads library
Group:          System/Libraries

%description -n %lname
nPth is a non-preemptive threads implementation using an API very
similar to the one known from GNU Pth. In contrast to Pth, nPth is
based on the system's standard threads implementation. Thus, nPth
allows the use of libraries which are not compatible to GNU Pth.

%package devel
Summary:        Development files for the GNU New Portable Threads library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
nPth is a non-preemptive threads implementation using an API very
similar to the one known from GNU Pth. In contrast to Pth, nPth is
based on the system's standard threads implementation. Thus, nPth
allows the use of libraries which are not compatible to GNU Pth.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags};

%install
b="%buildroot";
make install DESTDIR="$b";
rm -f "$b/%_libdir"/*.la;

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libnpth.so.0*

%files devel
%defattr(-,root,root)
%_bindir/npth-config
%_includedir/npth.h
%_libdir/libnpth.so
%_datadir/aclocal

%changelog
* Sat Apr 11 2015 astieger@suse.com
- npth 1.2:
  * Fix possible clobbering of ERRNO.
* Sun Nov  2 2014 andreas.stieger@gmx.de
- npth 1.1:
  * fixes for platforms other than GNU/Linux
* Sun Sep 21 2014 andreas.stieger@gmx.de
- npth 1.0:
  * improvements to the build system
  * restore sigmask at fork
- spec file cleanup:
  * gpg-offline covered by source_validator
  * use source URLs
* Wed Nov 28 2012 sbrabec@suse.cz
- Verify GPG signature.
* Tue Sep  4 2012 jengelh@inai.de
- Update to new upstream release 0.91
  * npth_init does now return an error on failure.
  * Provide a pselect emulation for OpenBSD et al.
* Tue May 29 2012 jengelh@inai.de
- Initial package for build.opensuse.org
